---
layout: default
title: kubernetes resource scans
nav_order: 1
---

# kubernetes resource scans (auto generated)

|     |             | Id       | Type                   | Entity                                                                                                 | Policy     | IaC                                                         |
|-----|-------------|----------|------------------------|--------------------------------------------------------------------------------------------------------|------------|-------------------------------------------------------------|
|   0 | CKV_K8S_1   | resource | PodSecurityPolicy      | Do not admit containers wishing to share the host process ID namespace                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   1 | CKV_K8S_2   | resource | PodSecurityPolicy      | Do not admit privileged containers                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   2 | CKV_K8S_3   | resource | PodSecurityPolicy      | Do not admit containers wishing to share the host IPC namespace                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   3 | CKV_K8S_4   | resource | PodSecurityPolicy      | Do not admit containers wishing to share the host network namespace                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   4 | CKV_K8S_5   | resource | PodSecurityPolicy      | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   5 | CKV_K8S_6   | resource | PodSecurityPolicy      | Do not admit root containers                                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   6 | CKV_K8S_7   | resource | PodSecurityPolicy      | Do not admit containers with the NET_RAW capability                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   7 | CKV_K8S_8   | resource | DaemonSet              | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   8 | CKV_K8S_8   | resource | Deployment             | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|   9 | CKV_K8S_8   | resource | DeploymentConfig       | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  10 | CKV_K8S_8   | resource | Pod                    | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  11 | CKV_K8S_8   | resource | PodTemplate            | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  12 | CKV_K8S_8   | resource | ReplicaSet             | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  13 | CKV_K8S_8   | resource | ReplicationController  | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  14 | CKV_K8S_8   | resource | StatefulSet            | Liveness Probe Should be Configured                                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  15 | CKV_K8S_9   | resource | DaemonSet              | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  16 | CKV_K8S_9   | resource | Deployment             | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  17 | CKV_K8S_9   | resource | DeploymentConfig       | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  18 | CKV_K8S_9   | resource | Pod                    | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  19 | CKV_K8S_9   | resource | PodTemplate            | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  20 | CKV_K8S_9   | resource | ReplicaSet             | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  21 | CKV_K8S_9   | resource | ReplicationController  | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  22 | CKV_K8S_9   | resource | StatefulSet            | Readiness Probe Should be Configured                                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  23 | CKV_K8S_10  | resource | CronJob                | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  24 | CKV_K8S_10  | resource | DaemonSet              | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  25 | CKV_K8S_10  | resource | Deployment             | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  26 | CKV_K8S_10  | resource | DeploymentConfig       | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  27 | CKV_K8S_10  | resource | Job                    | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  28 | CKV_K8S_10  | resource | Pod                    | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  29 | CKV_K8S_10  | resource | PodTemplate            | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  30 | CKV_K8S_10  | resource | ReplicaSet             | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  31 | CKV_K8S_10  | resource | ReplicationController  | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  32 | CKV_K8S_10  | resource | StatefulSet            | CPU requests should be set                                                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  33 | CKV_K8S_11  | resource | CronJob                | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  34 | CKV_K8S_11  | resource | DaemonSet              | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  35 | CKV_K8S_11  | resource | Deployment             | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  36 | CKV_K8S_11  | resource | DeploymentConfig       | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  37 | CKV_K8S_11  | resource | Job                    | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  38 | CKV_K8S_11  | resource | Pod                    | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  39 | CKV_K8S_11  | resource | PodTemplate            | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  40 | CKV_K8S_11  | resource | ReplicaSet             | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  41 | CKV_K8S_11  | resource | ReplicationController  | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  42 | CKV_K8S_11  | resource | StatefulSet            | CPU limits should be set                                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  43 | CKV_K8S_12  | resource | CronJob                | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  44 | CKV_K8S_12  | resource | DaemonSet              | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  45 | CKV_K8S_12  | resource | Deployment             | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  46 | CKV_K8S_12  | resource | DeploymentConfig       | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  47 | CKV_K8S_12  | resource | Job                    | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  48 | CKV_K8S_12  | resource | Pod                    | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  49 | CKV_K8S_12  | resource | PodTemplate            | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  50 | CKV_K8S_12  | resource | ReplicaSet             | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  51 | CKV_K8S_12  | resource | ReplicationController  | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  52 | CKV_K8S_12  | resource | StatefulSet            | Memory requests should be set                                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  53 | CKV_K8S_13  | resource | CronJob                | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  54 | CKV_K8S_13  | resource | DaemonSet              | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  55 | CKV_K8S_13  | resource | Deployment             | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  56 | CKV_K8S_13  | resource | DeploymentConfig       | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  57 | CKV_K8S_13  | resource | Job                    | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  58 | CKV_K8S_13  | resource | Pod                    | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  59 | CKV_K8S_13  | resource | PodTemplate            | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  60 | CKV_K8S_13  | resource | ReplicaSet             | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  61 | CKV_K8S_13  | resource | ReplicationController  | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  62 | CKV_K8S_13  | resource | StatefulSet            | Memory limits should be set                                                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  63 | CKV_K8S_14  | resource | CronJob                | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  64 | CKV_K8S_14  | resource | DaemonSet              | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  65 | CKV_K8S_14  | resource | Deployment             | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  66 | CKV_K8S_14  | resource | DeploymentConfig       | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  67 | CKV_K8S_14  | resource | Job                    | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  68 | CKV_K8S_14  | resource | Pod                    | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  69 | CKV_K8S_14  | resource | PodTemplate            | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  70 | CKV_K8S_14  | resource | ReplicaSet             | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  71 | CKV_K8S_14  | resource | ReplicationController  | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  72 | CKV_K8S_14  | resource | StatefulSet            | Image Tag should be fixed - not latest or blank                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  73 | CKV_K8S_15  | resource | CronJob                | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  74 | CKV_K8S_15  | resource | DaemonSet              | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  75 | CKV_K8S_15  | resource | Deployment             | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  76 | CKV_K8S_15  | resource | DeploymentConfig       | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  77 | CKV_K8S_15  | resource | Job                    | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  78 | CKV_K8S_15  | resource | Pod                    | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  79 | CKV_K8S_15  | resource | PodTemplate            | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  80 | CKV_K8S_15  | resource | ReplicaSet             | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  81 | CKV_K8S_15  | resource | ReplicationController  | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  82 | CKV_K8S_15  | resource | StatefulSet            | Image Pull Policy should be Always                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  83 | CKV_K8S_16  | resource | CronJob                | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  84 | CKV_K8S_16  | resource | DaemonSet              | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  85 | CKV_K8S_16  | resource | Deployment             | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  86 | CKV_K8S_16  | resource | DeploymentConfig       | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  87 | CKV_K8S_16  | resource | Job                    | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  88 | CKV_K8S_16  | resource | Pod                    | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  89 | CKV_K8S_16  | resource | PodTemplate            | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  90 | CKV_K8S_16  | resource | ReplicaSet             | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  91 | CKV_K8S_16  | resource | ReplicationController  | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  92 | CKV_K8S_16  | resource | StatefulSet            | Container should not be privileged                                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  93 | CKV_K8S_17  | resource | CronJob                | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  94 | CKV_K8S_17  | resource | DaemonSet              | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  95 | CKV_K8S_17  | resource | Deployment             | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  96 | CKV_K8S_17  | resource | Job                    | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  97 | CKV_K8S_17  | resource | Pod                    | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  98 | CKV_K8S_17  | resource | ReplicaSet             | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  99 | CKV_K8S_17  | resource | ReplicationController  | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 100 | CKV_K8S_17  | resource | StatefulSet            | Containers should not share the host process ID namespace                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 101 | CKV_K8S_18  | resource | CronJob                | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 102 | CKV_K8S_18  | resource | DaemonSet              | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 103 | CKV_K8S_18  | resource | Deployment             | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 104 | CKV_K8S_18  | resource | Job                    | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 105 | CKV_K8S_18  | resource | Pod                    | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 106 | CKV_K8S_18  | resource | ReplicaSet             | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 107 | CKV_K8S_18  | resource | ReplicationController  | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 108 | CKV_K8S_18  | resource | StatefulSet            | Containers should not share the host IPC namespace                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 109 | CKV_K8S_19  | resource | CronJob                | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 110 | CKV_K8S_19  | resource | DaemonSet              | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 111 | CKV_K8S_19  | resource | Deployment             | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 112 | CKV_K8S_19  | resource | Job                    | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 113 | CKV_K8S_19  | resource | Pod                    | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 114 | CKV_K8S_19  | resource | ReplicaSet             | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 115 | CKV_K8S_19  | resource | ReplicationController  | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 116 | CKV_K8S_19  | resource | StatefulSet            | Containers should not share the host network namespace                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 117 | CKV_K8S_20  | resource | CronJob                | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 118 | CKV_K8S_20  | resource | DaemonSet              | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 119 | CKV_K8S_20  | resource | Deployment             | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 120 | CKV_K8S_20  | resource | DeploymentConfig       | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 121 | CKV_K8S_20  | resource | Job                    | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 122 | CKV_K8S_20  | resource | Pod                    | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 123 | CKV_K8S_20  | resource | PodTemplate            | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 124 | CKV_K8S_20  | resource | ReplicaSet             | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 125 | CKV_K8S_20  | resource | ReplicationController  | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 126 | CKV_K8S_20  | resource | StatefulSet            | Containers should not run with allowPrivilegeEscalation                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 127 | CKV_K8S_21  | resource | ConfigMap              | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 128 | CKV_K8S_21  | resource | CronJob                | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 129 | CKV_K8S_21  | resource | DaemonSet              | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 130 | CKV_K8S_21  | resource | Deployment             | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 131 | CKV_K8S_21  | resource | Ingress                | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 132 | CKV_K8S_21  | resource | Job                    | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 133 | CKV_K8S_21  | resource | Pod                    | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 134 | CKV_K8S_21  | resource | ReplicaSet             | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 135 | CKV_K8S_21  | resource | ReplicationController  | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 136 | CKV_K8S_21  | resource | Role                   | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 137 | CKV_K8S_21  | resource | RoleBinding            | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 138 | CKV_K8S_21  | resource | Secret                 | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 139 | CKV_K8S_21  | resource | Service                | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 140 | CKV_K8S_21  | resource | ServiceAccount         | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 141 | CKV_K8S_21  | resource | StatefulSet            | The default namespace should not be used                                                               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 142 | CKV_K8S_22  | resource | CronJob                | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 143 | CKV_K8S_22  | resource | DaemonSet              | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 144 | CKV_K8S_22  | resource | Deployment             | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 145 | CKV_K8S_22  | resource | DeploymentConfig       | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 146 | CKV_K8S_22  | resource | Job                    | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 147 | CKV_K8S_22  | resource | Pod                    | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 148 | CKV_K8S_22  | resource | PodTemplate            | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 149 | CKV_K8S_22  | resource | ReplicaSet             | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 150 | CKV_K8S_22  | resource | ReplicationController  | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 151 | CKV_K8S_22  | resource | StatefulSet            | Use read-only filesystem for containers where possible                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 152 | CKV_K8S_23  | resource | CronJob                | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 153 | CKV_K8S_23  | resource | DaemonSet              | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 154 | CKV_K8S_23  | resource | Deployment             | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 155 | CKV_K8S_23  | resource | Job                    | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 156 | CKV_K8S_23  | resource | Pod                    | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 157 | CKV_K8S_23  | resource | ReplicaSet             | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 158 | CKV_K8S_23  | resource | ReplicationController  | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 159 | CKV_K8S_23  | resource | StatefulSet            | Minimize the admission of root containers                                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 160 | CKV_K8S_24  | resource | PodSecurityPolicy      | Do not allow containers with added capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 161 | CKV_K8S_25  | resource | CronJob                | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 162 | CKV_K8S_25  | resource | DaemonSet              | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 163 | CKV_K8S_25  | resource | Deployment             | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 164 | CKV_K8S_25  | resource | DeploymentConfig       | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 165 | CKV_K8S_25  | resource | Job                    | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 166 | CKV_K8S_25  | resource | Pod                    | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 167 | CKV_K8S_25  | resource | PodTemplate            | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 168 | CKV_K8S_25  | resource | ReplicaSet             | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 169 | CKV_K8S_25  | resource | ReplicationController  | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 170 | CKV_K8S_25  | resource | StatefulSet            | Minimize the admission of containers with added capability                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 171 | CKV_K8S_26  | resource | CronJob                | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 172 | CKV_K8S_26  | resource | DaemonSet              | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 173 | CKV_K8S_26  | resource | Deployment             | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 174 | CKV_K8S_26  | resource | DeploymentConfig       | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 175 | CKV_K8S_26  | resource | Job                    | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 176 | CKV_K8S_26  | resource | Pod                    | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 177 | CKV_K8S_26  | resource | PodTemplate            | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 178 | CKV_K8S_26  | resource | ReplicaSet             | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 179 | CKV_K8S_26  | resource | ReplicationController  | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 180 | CKV_K8S_26  | resource | StatefulSet            | Do not specify hostPort unless absolutely necessary                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 181 | CKV_K8S_27  | resource | CronJob                | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 182 | CKV_K8S_27  | resource | DaemonSet              | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 183 | CKV_K8S_27  | resource | Deployment             | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 184 | CKV_K8S_27  | resource | Job                    | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 185 | CKV_K8S_27  | resource | Pod                    | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 186 | CKV_K8S_27  | resource | ReplicaSet             | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 187 | CKV_K8S_27  | resource | ReplicationController  | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 188 | CKV_K8S_27  | resource | StatefulSet            | Do not expose the docker daemon socket to containers                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 189 | CKV_K8S_28  | resource | CronJob                | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 190 | CKV_K8S_28  | resource | DaemonSet              | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 191 | CKV_K8S_28  | resource | Deployment             | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 192 | CKV_K8S_28  | resource | DeploymentConfig       | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 193 | CKV_K8S_28  | resource | Job                    | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 194 | CKV_K8S_28  | resource | Pod                    | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 195 | CKV_K8S_28  | resource | PodTemplate            | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 196 | CKV_K8S_28  | resource | ReplicaSet             | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 197 | CKV_K8S_28  | resource | ReplicationController  | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 198 | CKV_K8S_28  | resource | StatefulSet            | Minimize the admission of containers with the NET_RAW capability                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 199 | CKV_K8S_29  | resource | CronJob                | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 200 | CKV_K8S_29  | resource | DaemonSet              | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 201 | CKV_K8S_29  | resource | Deployment             | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 202 | CKV_K8S_29  | resource | Job                    | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 203 | CKV_K8S_29  | resource | Pod                    | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 204 | CKV_K8S_29  | resource | ReplicaSet             | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 205 | CKV_K8S_29  | resource | ReplicationController  | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 206 | CKV_K8S_29  | resource | StatefulSet            | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 207 | CKV_K8S_30  | resource | CronJob                | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 208 | CKV_K8S_30  | resource | DaemonSet              | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 209 | CKV_K8S_30  | resource | Deployment             | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 210 | CKV_K8S_30  | resource | DeploymentConfig       | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 211 | CKV_K8S_30  | resource | Job                    | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 212 | CKV_K8S_30  | resource | Pod                    | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 213 | CKV_K8S_30  | resource | PodTemplate            | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 214 | CKV_K8S_30  | resource | ReplicaSet             | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 215 | CKV_K8S_30  | resource | ReplicationController  | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 216 | CKV_K8S_30  | resource | StatefulSet            | Apply security context to your pods and containers                                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 217 | CKV_K8S_31  | resource | CronJob                | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 218 | CKV_K8S_31  | resource | DaemonSet              | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 219 | CKV_K8S_31  | resource | Deployment             | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 220 | CKV_K8S_31  | resource | Job                    | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 221 | CKV_K8S_31  | resource | Pod                    | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 222 | CKV_K8S_31  | resource | ReplicaSet             | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 223 | CKV_K8S_31  | resource | ReplicationController  | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 224 | CKV_K8S_31  | resource | StatefulSet            | Ensure that the seccomp profile is set to docker/default or runtime/default                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 225 | CKV_K8S_32  | resource | PodSecurityPolicy      | Ensure default seccomp profile set to docker/default or runtime/default                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 226 | CKV_K8S_33  | resource | CronJob                | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 227 | CKV_K8S_33  | resource | DaemonSet              | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 228 | CKV_K8S_33  | resource | Deployment             | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 229 | CKV_K8S_33  | resource | DeploymentConfig       | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 230 | CKV_K8S_33  | resource | Job                    | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 231 | CKV_K8S_33  | resource | Pod                    | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 232 | CKV_K8S_33  | resource | PodTemplate            | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 233 | CKV_K8S_33  | resource | ReplicaSet             | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 234 | CKV_K8S_33  | resource | ReplicationController  | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 235 | CKV_K8S_33  | resource | StatefulSet            | Ensure the Kubernetes dashboard is not deployed                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 236 | CKV_K8S_34  | resource | CronJob                | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 237 | CKV_K8S_34  | resource | DaemonSet              | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 238 | CKV_K8S_34  | resource | Deployment             | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 239 | CKV_K8S_34  | resource | DeploymentConfig       | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 240 | CKV_K8S_34  | resource | Job                    | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 241 | CKV_K8S_34  | resource | Pod                    | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 242 | CKV_K8S_34  | resource | PodTemplate            | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 243 | CKV_K8S_34  | resource | ReplicaSet             | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 244 | CKV_K8S_34  | resource | ReplicationController  | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 245 | CKV_K8S_34  | resource | StatefulSet            | Ensure that Tiller (Helm v2) is not deployed                                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 246 | CKV_K8S_35  | resource | CronJob                | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 247 | CKV_K8S_35  | resource | DaemonSet              | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 248 | CKV_K8S_35  | resource | Deployment             | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 249 | CKV_K8S_35  | resource | DeploymentConfig       | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 250 | CKV_K8S_35  | resource | Job                    | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 251 | CKV_K8S_35  | resource | Pod                    | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 252 | CKV_K8S_35  | resource | PodTemplate            | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 253 | CKV_K8S_35  | resource | ReplicaSet             | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 254 | CKV_K8S_35  | resource | ReplicationController  | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 255 | CKV_K8S_35  | resource | StatefulSet            | Prefer using secrets as files over secrets as environment variables                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 256 | CKV_K8S_36  | resource | PodSecurityPolicy      | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 257 | CKV_K8S_37  | resource | CronJob                | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 258 | CKV_K8S_37  | resource | DaemonSet              | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 259 | CKV_K8S_37  | resource | Deployment             | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 260 | CKV_K8S_37  | resource | DeploymentConfig       | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 261 | CKV_K8S_37  | resource | Job                    | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 262 | CKV_K8S_37  | resource | Pod                    | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 263 | CKV_K8S_37  | resource | PodTemplate            | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 264 | CKV_K8S_37  | resource | ReplicaSet             | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 265 | CKV_K8S_37  | resource | ReplicationController  | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 266 | CKV_K8S_37  | resource | StatefulSet            | Minimize the admission of containers with capabilities assigned                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 267 | CKV_K8S_38  | resource | CronJob                | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 268 | CKV_K8S_38  | resource | DaemonSet              | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 269 | CKV_K8S_38  | resource | Deployment             | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 270 | CKV_K8S_38  | resource | Job                    | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 271 | CKV_K8S_38  | resource | Pod                    | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 272 | CKV_K8S_38  | resource | ReplicaSet             | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 273 | CKV_K8S_38  | resource | ReplicationController  | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 274 | CKV_K8S_38  | resource | StatefulSet            | Ensure that Service Account Tokens are only mounted where necessary                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 275 | CKV_K8S_39  | resource | CronJob                | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 276 | CKV_K8S_39  | resource | DaemonSet              | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 277 | CKV_K8S_39  | resource | Deployment             | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 278 | CKV_K8S_39  | resource | DeploymentConfig       | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 279 | CKV_K8S_39  | resource | Job                    | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 280 | CKV_K8S_39  | resource | Pod                    | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 281 | CKV_K8S_39  | resource | PodTemplate            | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 282 | CKV_K8S_39  | resource | ReplicaSet             | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 283 | CKV_K8S_39  | resource | ReplicationController  | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 284 | CKV_K8S_39  | resource | StatefulSet            | Do not use the CAP_SYS_ADMIN linux capability                                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 285 | CKV_K8S_40  | resource | CronJob                | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 286 | CKV_K8S_40  | resource | DaemonSet              | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 287 | CKV_K8S_40  | resource | Deployment             | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 288 | CKV_K8S_40  | resource | Job                    | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 289 | CKV_K8S_40  | resource | Pod                    | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 290 | CKV_K8S_40  | resource | ReplicaSet             | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 291 | CKV_K8S_40  | resource | ReplicationController  | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 292 | CKV_K8S_40  | resource | StatefulSet            | Containers should run as a high UID to avoid host conflict                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 293 | CKV_K8S_41  | resource | ServiceAccount         | Ensure that default service accounts are not actively used                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 294 | CKV_K8S_42  | resource | ClusterRoleBinding     | Ensure that default service accounts are not actively used                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 295 | CKV_K8S_42  | resource | RoleBinding            | Ensure that default service accounts are not actively used                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 296 | CKV_K8S_43  | resource | CronJob                | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 297 | CKV_K8S_43  | resource | DaemonSet              | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 298 | CKV_K8S_43  | resource | Deployment             | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 299 | CKV_K8S_43  | resource | DeploymentConfig       | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 300 | CKV_K8S_43  | resource | Job                    | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 301 | CKV_K8S_43  | resource | Pod                    | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 302 | CKV_K8S_43  | resource | PodTemplate            | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 303 | CKV_K8S_43  | resource | ReplicaSet             | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 304 | CKV_K8S_43  | resource | ReplicationController  | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 305 | CKV_K8S_43  | resource | StatefulSet            | Image should use digest                                                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 306 | CKV_K8S_44  | resource | Service                | Ensure that the Tiller Service (Helm v2) is deleted                                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 307 | CKV_K8S_45  | resource | CronJob                | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 308 | CKV_K8S_45  | resource | DaemonSet              | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 309 | CKV_K8S_45  | resource | Deployment             | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 310 | CKV_K8S_45  | resource | DeploymentConfig       | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 311 | CKV_K8S_45  | resource | Job                    | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 312 | CKV_K8S_45  | resource | Pod                    | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 313 | CKV_K8S_45  | resource | PodTemplate            | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 314 | CKV_K8S_45  | resource | ReplicaSet             | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 315 | CKV_K8S_45  | resource | ReplicationController  | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 316 | CKV_K8S_45  | resource | StatefulSet            | Ensure the Tiller Deployment (Helm V2) is not accessible from within the cluster                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 317 | CKV_K8S_49  | resource | ClusterRole            | Minimize wildcard use in Roles and ClusterRoles                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 318 | CKV_K8S_49  | resource | Role                   | Minimize wildcard use in Roles and ClusterRoles                                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 319 | CKV_K8S_68  | resource | CronJob                | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 320 | CKV_K8S_68  | resource | DaemonSet              | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 321 | CKV_K8S_68  | resource | Deployment             | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 322 | CKV_K8S_68  | resource | DeploymentConfig       | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 323 | CKV_K8S_68  | resource | Job                    | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 324 | CKV_K8S_68  | resource | Pod                    | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 325 | CKV_K8S_68  | resource | PodTemplate            | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 326 | CKV_K8S_68  | resource | ReplicaSet             | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 327 | CKV_K8S_68  | resource | ReplicationController  | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 328 | CKV_K8S_68  | resource | StatefulSet            | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 329 | CKV_K8S_69  | resource | CronJob                | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 330 | CKV_K8S_69  | resource | DaemonSet              | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 331 | CKV_K8S_69  | resource | Deployment             | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 332 | CKV_K8S_69  | resource | DeploymentConfig       | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 333 | CKV_K8S_69  | resource | Job                    | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 334 | CKV_K8S_69  | resource | Pod                    | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 335 | CKV_K8S_69  | resource | PodTemplate            | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 336 | CKV_K8S_69  | resource | ReplicaSet             | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 337 | CKV_K8S_69  | resource | ReplicationController  | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 338 | CKV_K8S_69  | resource | StatefulSet            | Ensure that the --basic-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 339 | CKV_K8S_70  | resource | CronJob                | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 340 | CKV_K8S_70  | resource | DaemonSet              | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 341 | CKV_K8S_70  | resource | Deployment             | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 342 | CKV_K8S_70  | resource | DeploymentConfig       | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 343 | CKV_K8S_70  | resource | Job                    | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 344 | CKV_K8S_70  | resource | Pod                    | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 345 | CKV_K8S_70  | resource | PodTemplate            | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 346 | CKV_K8S_70  | resource | ReplicaSet             | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 347 | CKV_K8S_70  | resource | ReplicationController  | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 348 | CKV_K8S_70  | resource | StatefulSet            | Ensure that the --token-auth-file argument is not set                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 349 | CKV_K8S_71  | resource | CronJob                | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 350 | CKV_K8S_71  | resource | DaemonSet              | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 351 | CKV_K8S_71  | resource | Deployment             | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 352 | CKV_K8S_71  | resource | DeploymentConfig       | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 353 | CKV_K8S_71  | resource | Job                    | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 354 | CKV_K8S_71  | resource | Pod                    | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 355 | CKV_K8S_71  | resource | PodTemplate            | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 356 | CKV_K8S_71  | resource | ReplicaSet             | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 357 | CKV_K8S_71  | resource | ReplicationController  | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 358 | CKV_K8S_71  | resource | StatefulSet            | Ensure that the --kubelet-https argument is set to true                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 359 | CKV_K8S_72  | resource | CronJob                | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 360 | CKV_K8S_72  | resource | DaemonSet              | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 361 | CKV_K8S_72  | resource | Deployment             | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 362 | CKV_K8S_72  | resource | DeploymentConfig       | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 363 | CKV_K8S_72  | resource | Job                    | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 364 | CKV_K8S_72  | resource | Pod                    | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 365 | CKV_K8S_72  | resource | PodTemplate            | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 366 | CKV_K8S_72  | resource | ReplicaSet             | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 367 | CKV_K8S_72  | resource | ReplicationController  | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 368 | CKV_K8S_72  | resource | StatefulSet            | Ensure that the --kubelet-client-certificate and --kubelet-client-key arguments are set as appropriate | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 369 | CKV_K8S_73  | resource | CronJob                | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 370 | CKV_K8S_73  | resource | DaemonSet              | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 371 | CKV_K8S_73  | resource | Deployment             | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 372 | CKV_K8S_73  | resource | DeploymentConfig       | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 373 | CKV_K8S_73  | resource | Job                    | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 374 | CKV_K8S_73  | resource | Pod                    | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 375 | CKV_K8S_73  | resource | PodTemplate            | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 376 | CKV_K8S_73  | resource | ReplicaSet             | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 377 | CKV_K8S_73  | resource | ReplicationController  | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 378 | CKV_K8S_73  | resource | StatefulSet            | Ensure that the --kubelet-certificate-authority argument is set as appropriate                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 379 | CKV_K8S_74  | resource | CronJob                | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 380 | CKV_K8S_74  | resource | DaemonSet              | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 381 | CKV_K8S_74  | resource | Deployment             | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 382 | CKV_K8S_74  | resource | DeploymentConfig       | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 383 | CKV_K8S_74  | resource | Job                    | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 384 | CKV_K8S_74  | resource | Pod                    | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 385 | CKV_K8S_74  | resource | PodTemplate            | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 386 | CKV_K8S_74  | resource | ReplicaSet             | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 387 | CKV_K8S_74  | resource | ReplicationController  | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 388 | CKV_K8S_74  | resource | StatefulSet            | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 389 | CKV_K8S_75  | resource | CronJob                | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 390 | CKV_K8S_75  | resource | DaemonSet              | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 391 | CKV_K8S_75  | resource | Deployment             | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 392 | CKV_K8S_75  | resource | DeploymentConfig       | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 393 | CKV_K8S_75  | resource | Job                    | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 394 | CKV_K8S_75  | resource | Pod                    | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 395 | CKV_K8S_75  | resource | PodTemplate            | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 396 | CKV_K8S_75  | resource | ReplicaSet             | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 397 | CKV_K8S_75  | resource | ReplicationController  | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 398 | CKV_K8S_75  | resource | StatefulSet            | Ensure that the --authorization-mode argument includes Node                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 399 | CKV_K8S_77  | resource | CronJob                | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 400 | CKV_K8S_77  | resource | DaemonSet              | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 401 | CKV_K8S_77  | resource | Deployment             | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 402 | CKV_K8S_77  | resource | DeploymentConfig       | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 403 | CKV_K8S_77  | resource | Job                    | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 404 | CKV_K8S_77  | resource | Pod                    | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 405 | CKV_K8S_77  | resource | PodTemplate            | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 406 | CKV_K8S_77  | resource | ReplicaSet             | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 407 | CKV_K8S_77  | resource | ReplicationController  | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 408 | CKV_K8S_77  | resource | StatefulSet            | Ensure that the --authorization-mode argument includes RBAC                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 409 | CKV_K8S_78  | resource | AdmissionConfiguration | Ensure that the admission control plugin EventRateLimit is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 410 | CKV_K8S_79  | resource | CronJob                | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 411 | CKV_K8S_79  | resource | DaemonSet              | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 412 | CKV_K8S_79  | resource | Deployment             | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 413 | CKV_K8S_79  | resource | DeploymentConfig       | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 414 | CKV_K8S_79  | resource | Job                    | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 415 | CKV_K8S_79  | resource | Pod                    | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 416 | CKV_K8S_79  | resource | PodTemplate            | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 417 | CKV_K8S_79  | resource | ReplicaSet             | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 418 | CKV_K8S_79  | resource | ReplicationController  | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 419 | CKV_K8S_79  | resource | StatefulSet            | Ensure that the admission control plugin AlwaysAdmit is not set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 420 | CKV_K8S_80  | resource | CronJob                | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 421 | CKV_K8S_80  | resource | DaemonSet              | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 422 | CKV_K8S_80  | resource | Deployment             | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 423 | CKV_K8S_80  | resource | DeploymentConfig       | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 424 | CKV_K8S_80  | resource | Job                    | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 425 | CKV_K8S_80  | resource | Pod                    | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 426 | CKV_K8S_80  | resource | PodTemplate            | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 427 | CKV_K8S_80  | resource | ReplicaSet             | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 428 | CKV_K8S_80  | resource | ReplicationController  | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 429 | CKV_K8S_80  | resource | StatefulSet            | Ensure that the admission control plugin AlwaysPullImages is set                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 430 | CKV_K8S_81  | resource | CronJob                | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 431 | CKV_K8S_81  | resource | DaemonSet              | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 432 | CKV_K8S_81  | resource | Deployment             | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 433 | CKV_K8S_81  | resource | DeploymentConfig       | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 434 | CKV_K8S_81  | resource | Job                    | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 435 | CKV_K8S_81  | resource | Pod                    | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 436 | CKV_K8S_81  | resource | PodTemplate            | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 437 | CKV_K8S_81  | resource | ReplicaSet             | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 438 | CKV_K8S_81  | resource | ReplicationController  | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 439 | CKV_K8S_81  | resource | StatefulSet            | Ensure that the admission control plugin SecurityContextDeny is set if PodSecurityPolicy is not used   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 440 | CKV_K8S_82  | resource | CronJob                | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 441 | CKV_K8S_82  | resource | DaemonSet              | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 442 | CKV_K8S_82  | resource | Deployment             | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 443 | CKV_K8S_82  | resource | DeploymentConfig       | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 444 | CKV_K8S_82  | resource | Job                    | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 445 | CKV_K8S_82  | resource | Pod                    | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 446 | CKV_K8S_82  | resource | PodTemplate            | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 447 | CKV_K8S_82  | resource | ReplicaSet             | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 448 | CKV_K8S_82  | resource | ReplicationController  | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 449 | CKV_K8S_82  | resource | StatefulSet            | Ensure that the admission control plugin ServiceAccount is set                                         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 450 | CKV_K8S_83  | resource | CronJob                | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 451 | CKV_K8S_83  | resource | DaemonSet              | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 452 | CKV_K8S_83  | resource | Deployment             | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 453 | CKV_K8S_83  | resource | DeploymentConfig       | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 454 | CKV_K8S_83  | resource | Job                    | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 455 | CKV_K8S_83  | resource | Pod                    | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 456 | CKV_K8S_83  | resource | PodTemplate            | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 457 | CKV_K8S_83  | resource | ReplicaSet             | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 458 | CKV_K8S_83  | resource | ReplicationController  | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 459 | CKV_K8S_83  | resource | StatefulSet            | Ensure that the admission control plugin NamespaceLifecycle is set                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 460 | CKV_K8S_84  | resource | CronJob                | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 461 | CKV_K8S_84  | resource | DaemonSet              | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 462 | CKV_K8S_84  | resource | Deployment             | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 463 | CKV_K8S_84  | resource | DeploymentConfig       | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 464 | CKV_K8S_84  | resource | Job                    | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 465 | CKV_K8S_84  | resource | Pod                    | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 466 | CKV_K8S_84  | resource | PodTemplate            | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 467 | CKV_K8S_84  | resource | ReplicaSet             | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 468 | CKV_K8S_84  | resource | ReplicationController  | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 469 | CKV_K8S_84  | resource | StatefulSet            | Ensure that the admission control plugin PodSecurityPolicy is set                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 470 | CKV_K8S_85  | resource | CronJob                | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 471 | CKV_K8S_85  | resource | DaemonSet              | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 472 | CKV_K8S_85  | resource | Deployment             | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 473 | CKV_K8S_85  | resource | DeploymentConfig       | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 474 | CKV_K8S_85  | resource | Job                    | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 475 | CKV_K8S_85  | resource | Pod                    | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 476 | CKV_K8S_85  | resource | PodTemplate            | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 477 | CKV_K8S_85  | resource | ReplicaSet             | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 478 | CKV_K8S_85  | resource | ReplicationController  | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 479 | CKV_K8S_85  | resource | StatefulSet            | Ensure that the admission control plugin NodeRestriction is set                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 480 | CKV_K8S_86  | resource | CronJob                | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 481 | CKV_K8S_86  | resource | DaemonSet              | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 482 | CKV_K8S_86  | resource | Deployment             | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 483 | CKV_K8S_86  | resource | DeploymentConfig       | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 484 | CKV_K8S_86  | resource | Job                    | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 485 | CKV_K8S_86  | resource | Pod                    | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 486 | CKV_K8S_86  | resource | PodTemplate            | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 487 | CKV_K8S_86  | resource | ReplicaSet             | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 488 | CKV_K8S_86  | resource | ReplicationController  | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 489 | CKV_K8S_86  | resource | StatefulSet            | Ensure that the --insecure-bind-address argument is not set                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 490 | CKV_K8S_88  | resource | CronJob                | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 491 | CKV_K8S_88  | resource | DaemonSet              | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 492 | CKV_K8S_88  | resource | Deployment             | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 493 | CKV_K8S_88  | resource | DeploymentConfig       | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 494 | CKV_K8S_88  | resource | Job                    | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 495 | CKV_K8S_88  | resource | Pod                    | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 496 | CKV_K8S_88  | resource | PodTemplate            | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 497 | CKV_K8S_88  | resource | ReplicaSet             | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 498 | CKV_K8S_88  | resource | ReplicationController  | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 499 | CKV_K8S_88  | resource | StatefulSet            | Ensure that the --insecure-port argument is set to 0                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 500 | CKV_K8S_89  | resource | CronJob                | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 501 | CKV_K8S_89  | resource | DaemonSet              | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 502 | CKV_K8S_89  | resource | Deployment             | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 503 | CKV_K8S_89  | resource | DeploymentConfig       | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 504 | CKV_K8S_89  | resource | Job                    | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 505 | CKV_K8S_89  | resource | Pod                    | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 506 | CKV_K8S_89  | resource | PodTemplate            | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 507 | CKV_K8S_89  | resource | ReplicaSet             | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 508 | CKV_K8S_89  | resource | ReplicationController  | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 509 | CKV_K8S_89  | resource | StatefulSet            | Ensure that the --secure-port argument is not set to 0                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 510 | CKV_K8S_90  | resource | CronJob                | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 511 | CKV_K8S_90  | resource | DaemonSet              | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 512 | CKV_K8S_90  | resource | Deployment             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 513 | CKV_K8S_90  | resource | DeploymentConfig       | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 514 | CKV_K8S_90  | resource | Job                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 515 | CKV_K8S_90  | resource | Pod                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 516 | CKV_K8S_90  | resource | PodTemplate            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 517 | CKV_K8S_90  | resource | ReplicaSet             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 518 | CKV_K8S_90  | resource | ReplicationController  | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 519 | CKV_K8S_90  | resource | StatefulSet            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 520 | CKV_K8S_91  | resource | CronJob                | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 521 | CKV_K8S_91  | resource | DaemonSet              | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 522 | CKV_K8S_91  | resource | Deployment             | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 523 | CKV_K8S_91  | resource | DeploymentConfig       | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 524 | CKV_K8S_91  | resource | Job                    | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 525 | CKV_K8S_91  | resource | Pod                    | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 526 | CKV_K8S_91  | resource | PodTemplate            | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 527 | CKV_K8S_91  | resource | ReplicaSet             | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 528 | CKV_K8S_91  | resource | ReplicationController  | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 529 | CKV_K8S_91  | resource | StatefulSet            | Ensure that the --audit-log-path argument is set                                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 530 | CKV_K8S_92  | resource | CronJob                | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 531 | CKV_K8S_92  | resource | DaemonSet              | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 532 | CKV_K8S_92  | resource | Deployment             | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 533 | CKV_K8S_92  | resource | DeploymentConfig       | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 534 | CKV_K8S_92  | resource | Job                    | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 535 | CKV_K8S_92  | resource | Pod                    | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 536 | CKV_K8S_92  | resource | PodTemplate            | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 537 | CKV_K8S_92  | resource | ReplicaSet             | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 538 | CKV_K8S_92  | resource | ReplicationController  | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 539 | CKV_K8S_92  | resource | StatefulSet            | Ensure that the --audit-log-maxage argument is set to 30 or as appropriate                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 540 | CKV_K8S_93  | resource | CronJob                | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 541 | CKV_K8S_93  | resource | DaemonSet              | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 542 | CKV_K8S_93  | resource | Deployment             | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 543 | CKV_K8S_93  | resource | DeploymentConfig       | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 544 | CKV_K8S_93  | resource | Job                    | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 545 | CKV_K8S_93  | resource | Pod                    | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 546 | CKV_K8S_93  | resource | PodTemplate            | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 547 | CKV_K8S_93  | resource | ReplicaSet             | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 548 | CKV_K8S_93  | resource | ReplicationController  | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 549 | CKV_K8S_93  | resource | StatefulSet            | Ensure that the --audit-log-maxbackup argument is set to 10 or as appropriate                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 550 | CKV_K8S_94  | resource | CronJob                | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 551 | CKV_K8S_94  | resource | DaemonSet              | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 552 | CKV_K8S_94  | resource | Deployment             | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 553 | CKV_K8S_94  | resource | DeploymentConfig       | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 554 | CKV_K8S_94  | resource | Job                    | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 555 | CKV_K8S_94  | resource | Pod                    | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 556 | CKV_K8S_94  | resource | PodTemplate            | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 557 | CKV_K8S_94  | resource | ReplicaSet             | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 558 | CKV_K8S_94  | resource | ReplicationController  | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 559 | CKV_K8S_94  | resource | StatefulSet            | Ensure that the --audit-log-maxsize argument is set to 100 or as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 560 | CKV_K8S_95  | resource | CronJob                | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 561 | CKV_K8S_95  | resource | DaemonSet              | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 562 | CKV_K8S_95  | resource | Deployment             | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 563 | CKV_K8S_95  | resource | DeploymentConfig       | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 564 | CKV_K8S_95  | resource | Job                    | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 565 | CKV_K8S_95  | resource | Pod                    | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 566 | CKV_K8S_95  | resource | PodTemplate            | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 567 | CKV_K8S_95  | resource | ReplicaSet             | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 568 | CKV_K8S_95  | resource | ReplicationController  | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 569 | CKV_K8S_95  | resource | StatefulSet            | Ensure that the --request-timeout argument is set as appropriate                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 570 | CKV_K8S_96  | resource | CronJob                | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 571 | CKV_K8S_96  | resource | DaemonSet              | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 572 | CKV_K8S_96  | resource | Deployment             | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 573 | CKV_K8S_96  | resource | DeploymentConfig       | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 574 | CKV_K8S_96  | resource | Job                    | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 575 | CKV_K8S_96  | resource | Pod                    | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 576 | CKV_K8S_96  | resource | PodTemplate            | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 577 | CKV_K8S_96  | resource | ReplicaSet             | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 578 | CKV_K8S_96  | resource | ReplicationController  | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 579 | CKV_K8S_96  | resource | StatefulSet            | Ensure that the --service-account-lookup argument is set to true                                       | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 580 | CKV_K8S_97  | resource | CronJob                | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 581 | CKV_K8S_97  | resource | DaemonSet              | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 582 | CKV_K8S_97  | resource | Deployment             | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 583 | CKV_K8S_97  | resource | DeploymentConfig       | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 584 | CKV_K8S_97  | resource | Job                    | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 585 | CKV_K8S_97  | resource | Pod                    | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 586 | CKV_K8S_97  | resource | PodTemplate            | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 587 | CKV_K8S_97  | resource | ReplicaSet             | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 588 | CKV_K8S_97  | resource | ReplicationController  | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 589 | CKV_K8S_97  | resource | StatefulSet            | Ensure that the --service-account-key-file argument is set as appropriate                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 590 | CKV_K8S_99  | resource | CronJob                | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 591 | CKV_K8S_99  | resource | DaemonSet              | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 592 | CKV_K8S_99  | resource | Deployment             | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 593 | CKV_K8S_99  | resource | DeploymentConfig       | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 594 | CKV_K8S_99  | resource | Job                    | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 595 | CKV_K8S_99  | resource | Pod                    | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 596 | CKV_K8S_99  | resource | PodTemplate            | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 597 | CKV_K8S_99  | resource | ReplicaSet             | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 598 | CKV_K8S_99  | resource | ReplicationController  | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 599 | CKV_K8S_99  | resource | StatefulSet            | Ensure that the --etcd-certfile and --etcd-keyfile arguments are set as appropriate                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 600 | CKV_K8S_100 | resource | CronJob                | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 601 | CKV_K8S_100 | resource | DaemonSet              | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 602 | CKV_K8S_100 | resource | Deployment             | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 603 | CKV_K8S_100 | resource | DeploymentConfig       | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 604 | CKV_K8S_100 | resource | Job                    | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 605 | CKV_K8S_100 | resource | Pod                    | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 606 | CKV_K8S_100 | resource | PodTemplate            | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 607 | CKV_K8S_100 | resource | ReplicaSet             | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 608 | CKV_K8S_100 | resource | ReplicationController  | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 609 | CKV_K8S_100 | resource | StatefulSet            | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 610 | CKV_K8S_102 | resource | CronJob                | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 611 | CKV_K8S_102 | resource | DaemonSet              | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 612 | CKV_K8S_102 | resource | Deployment             | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 613 | CKV_K8S_102 | resource | DeploymentConfig       | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 614 | CKV_K8S_102 | resource | Job                    | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 615 | CKV_K8S_102 | resource | Pod                    | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 616 | CKV_K8S_102 | resource | PodTemplate            | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 617 | CKV_K8S_102 | resource | ReplicaSet             | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 618 | CKV_K8S_102 | resource | ReplicationController  | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 619 | CKV_K8S_102 | resource | StatefulSet            | Ensure that the --etcd-cafile argument is set as appropriate                                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 620 | CKV_K8S_104 | resource | CronJob                | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 621 | CKV_K8S_104 | resource | DaemonSet              | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 622 | CKV_K8S_104 | resource | Deployment             | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 623 | CKV_K8S_104 | resource | DeploymentConfig       | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 624 | CKV_K8S_104 | resource | Job                    | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 625 | CKV_K8S_104 | resource | Pod                    | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 626 | CKV_K8S_104 | resource | PodTemplate            | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 627 | CKV_K8S_104 | resource | ReplicaSet             | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 628 | CKV_K8S_104 | resource | ReplicationController  | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 629 | CKV_K8S_104 | resource | StatefulSet            | Ensure that encryption providers are appropriately configured                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 630 | CKV_K8S_105 | resource | CronJob                | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 631 | CKV_K8S_105 | resource | DaemonSet              | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 632 | CKV_K8S_105 | resource | Deployment             | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 633 | CKV_K8S_105 | resource | DeploymentConfig       | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 634 | CKV_K8S_105 | resource | Job                    | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 635 | CKV_K8S_105 | resource | Pod                    | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 636 | CKV_K8S_105 | resource | PodTemplate            | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 637 | CKV_K8S_105 | resource | ReplicaSet             | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 638 | CKV_K8S_105 | resource | ReplicationController  | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 639 | CKV_K8S_105 | resource | StatefulSet            | Ensure that the API Server only makes use of Strong Cryptographic Ciphers                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 640 | CKV_K8S_106 | resource | CronJob                | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 641 | CKV_K8S_106 | resource | DaemonSet              | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 642 | CKV_K8S_106 | resource | Deployment             | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 643 | CKV_K8S_106 | resource | DeploymentConfig       | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 644 | CKV_K8S_106 | resource | Job                    | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 645 | CKV_K8S_106 | resource | Pod                    | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 646 | CKV_K8S_106 | resource | PodTemplate            | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 647 | CKV_K8S_106 | resource | ReplicaSet             | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 648 | CKV_K8S_106 | resource | ReplicationController  | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 649 | CKV_K8S_106 | resource | StatefulSet            | Ensure that the --terminated-pod-gc-threshold argument is set as appropriate                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 650 | CKV_K8S_107 | resource | CronJob                | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 651 | CKV_K8S_107 | resource | DaemonSet              | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 652 | CKV_K8S_107 | resource | Deployment             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 653 | CKV_K8S_107 | resource | DeploymentConfig       | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 654 | CKV_K8S_107 | resource | Job                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 655 | CKV_K8S_107 | resource | Pod                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 656 | CKV_K8S_107 | resource | PodTemplate            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 657 | CKV_K8S_107 | resource | ReplicaSet             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 658 | CKV_K8S_107 | resource | ReplicationController  | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 659 | CKV_K8S_107 | resource | StatefulSet            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 660 | CKV_K8S_108 | resource | CronJob                | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 661 | CKV_K8S_108 | resource | DaemonSet              | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 662 | CKV_K8S_108 | resource | Deployment             | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 663 | CKV_K8S_108 | resource | DeploymentConfig       | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 664 | CKV_K8S_108 | resource | Job                    | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 665 | CKV_K8S_108 | resource | Pod                    | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 666 | CKV_K8S_108 | resource | PodTemplate            | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 667 | CKV_K8S_108 | resource | ReplicaSet             | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 668 | CKV_K8S_108 | resource | ReplicationController  | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 669 | CKV_K8S_108 | resource | StatefulSet            | Ensure that the --use-service-account-credentials argument is set to true                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 670 | CKV_K8S_110 | resource | CronJob                | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 671 | CKV_K8S_110 | resource | DaemonSet              | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 672 | CKV_K8S_110 | resource | Deployment             | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 673 | CKV_K8S_110 | resource | DeploymentConfig       | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 674 | CKV_K8S_110 | resource | Job                    | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 675 | CKV_K8S_110 | resource | Pod                    | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 676 | CKV_K8S_110 | resource | PodTemplate            | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 677 | CKV_K8S_110 | resource | ReplicaSet             | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 678 | CKV_K8S_110 | resource | ReplicationController  | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 679 | CKV_K8S_110 | resource | StatefulSet            | Ensure that the --service-account-private-key-file argument is set as appropriate                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 680 | CKV_K8S_111 | resource | CronJob                | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 681 | CKV_K8S_111 | resource | DaemonSet              | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 682 | CKV_K8S_111 | resource | Deployment             | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 683 | CKV_K8S_111 | resource | DeploymentConfig       | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 684 | CKV_K8S_111 | resource | Job                    | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 685 | CKV_K8S_111 | resource | Pod                    | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 686 | CKV_K8S_111 | resource | PodTemplate            | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 687 | CKV_K8S_111 | resource | ReplicaSet             | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 688 | CKV_K8S_111 | resource | ReplicationController  | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 689 | CKV_K8S_111 | resource | StatefulSet            | Ensure that the --root-ca-file argument is set as appropriate                                          | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 690 | CKV_K8S_112 | resource | CronJob                | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 691 | CKV_K8S_112 | resource | DaemonSet              | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 692 | CKV_K8S_112 | resource | Deployment             | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 693 | CKV_K8S_112 | resource | DeploymentConfig       | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 694 | CKV_K8S_112 | resource | Job                    | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 695 | CKV_K8S_112 | resource | Pod                    | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 696 | CKV_K8S_112 | resource | PodTemplate            | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 697 | CKV_K8S_112 | resource | ReplicaSet             | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 698 | CKV_K8S_112 | resource | ReplicationController  | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 699 | CKV_K8S_112 | resource | StatefulSet            | Ensure that the RotateKubeletServerCertificate argument is set to true                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 700 | CKV_K8S_113 | resource | CronJob                | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 701 | CKV_K8S_113 | resource | DaemonSet              | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 702 | CKV_K8S_113 | resource | Deployment             | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 703 | CKV_K8S_113 | resource | DeploymentConfig       | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 704 | CKV_K8S_113 | resource | Job                    | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 705 | CKV_K8S_113 | resource | Pod                    | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 706 | CKV_K8S_113 | resource | PodTemplate            | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 707 | CKV_K8S_113 | resource | ReplicaSet             | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 708 | CKV_K8S_113 | resource | ReplicationController  | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 709 | CKV_K8S_113 | resource | StatefulSet            | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 710 | CKV_K8S_114 | resource | CronJob                | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 711 | CKV_K8S_114 | resource | DaemonSet              | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 712 | CKV_K8S_114 | resource | Deployment             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 713 | CKV_K8S_114 | resource | DeploymentConfig       | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 714 | CKV_K8S_114 | resource | Job                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 715 | CKV_K8S_114 | resource | Pod                    | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 716 | CKV_K8S_114 | resource | PodTemplate            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 717 | CKV_K8S_114 | resource | ReplicaSet             | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 718 | CKV_K8S_114 | resource | ReplicationController  | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 719 | CKV_K8S_114 | resource | StatefulSet            | Ensure that the --profiling argument is set to false                                                   | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 720 | CKV_K8S_115 | resource | CronJob                | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 721 | CKV_K8S_115 | resource | DaemonSet              | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 722 | CKV_K8S_115 | resource | Deployment             | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 723 | CKV_K8S_115 | resource | DeploymentConfig       | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 724 | CKV_K8S_115 | resource | Job                    | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 725 | CKV_K8S_115 | resource | Pod                    | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 726 | CKV_K8S_115 | resource | PodTemplate            | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 727 | CKV_K8S_115 | resource | ReplicaSet             | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 728 | CKV_K8S_115 | resource | ReplicationController  | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 729 | CKV_K8S_115 | resource | StatefulSet            | Ensure that the --bind-address argument is set to 127.0.0.1                                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 730 | CKV_K8S_116 | resource | CronJob                | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 731 | CKV_K8S_116 | resource | DaemonSet              | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 732 | CKV_K8S_116 | resource | Deployment             | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 733 | CKV_K8S_116 | resource | DeploymentConfig       | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 734 | CKV_K8S_116 | resource | Job                    | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 735 | CKV_K8S_116 | resource | Pod                    | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 736 | CKV_K8S_116 | resource | PodTemplate            | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 737 | CKV_K8S_116 | resource | ReplicaSet             | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 738 | CKV_K8S_116 | resource | ReplicationController  | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 739 | CKV_K8S_116 | resource | StatefulSet            | Ensure that the --cert-file and --key-file arguments are set as appropriate                            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 740 | CKV_K8S_117 | resource | CronJob                | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 741 | CKV_K8S_117 | resource | DaemonSet              | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 742 | CKV_K8S_117 | resource | Deployment             | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 743 | CKV_K8S_117 | resource | DeploymentConfig       | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 744 | CKV_K8S_117 | resource | Job                    | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 745 | CKV_K8S_117 | resource | Pod                    | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 746 | CKV_K8S_117 | resource | PodTemplate            | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 747 | CKV_K8S_117 | resource | ReplicaSet             | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 748 | CKV_K8S_117 | resource | ReplicationController  | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 749 | CKV_K8S_117 | resource | StatefulSet            | Ensure that the --client-cert-auth argument is set to true                                             | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 750 | CKV_K8S_118 | resource | CronJob                | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 751 | CKV_K8S_118 | resource | DaemonSet              | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 752 | CKV_K8S_118 | resource | Deployment             | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 753 | CKV_K8S_118 | resource | DeploymentConfig       | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 754 | CKV_K8S_118 | resource | Job                    | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 755 | CKV_K8S_118 | resource | Pod                    | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 756 | CKV_K8S_118 | resource | PodTemplate            | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 757 | CKV_K8S_118 | resource | ReplicaSet             | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 758 | CKV_K8S_118 | resource | ReplicationController  | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 759 | CKV_K8S_118 | resource | StatefulSet            | Ensure that the --auto-tls argument is not set to true                                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 760 | CKV_K8S_119 | resource | CronJob                | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 761 | CKV_K8S_119 | resource | DaemonSet              | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 762 | CKV_K8S_119 | resource | Deployment             | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 763 | CKV_K8S_119 | resource | DeploymentConfig       | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 764 | CKV_K8S_119 | resource | Job                    | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 765 | CKV_K8S_119 | resource | Pod                    | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 766 | CKV_K8S_119 | resource | PodTemplate            | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 767 | CKV_K8S_119 | resource | ReplicaSet             | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 768 | CKV_K8S_119 | resource | ReplicationController  | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 769 | CKV_K8S_119 | resource | StatefulSet            | Ensure that the --peer-cert-file and --peer-key-file arguments are set as appropriate                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 770 | CKV_K8S_121 | resource | Pod                    | Ensure that the --peer-client-cert-auth argument is set to true                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 771 | CKV_K8S_138 | resource | CronJob                | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 772 | CKV_K8S_138 | resource | DaemonSet              | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 773 | CKV_K8S_138 | resource | Deployment             | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 774 | CKV_K8S_138 | resource | DeploymentConfig       | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 775 | CKV_K8S_138 | resource | Job                    | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 776 | CKV_K8S_138 | resource | Pod                    | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 777 | CKV_K8S_138 | resource | PodTemplate            | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 778 | CKV_K8S_138 | resource | ReplicaSet             | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 779 | CKV_K8S_138 | resource | ReplicationController  | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 780 | CKV_K8S_138 | resource | StatefulSet            | Ensure that the --anonymous-auth argument is set to false                                              | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 781 | CKV_K8S_139 | resource | CronJob                | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 782 | CKV_K8S_139 | resource | DaemonSet              | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 783 | CKV_K8S_139 | resource | Deployment             | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 784 | CKV_K8S_139 | resource | DeploymentConfig       | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 785 | CKV_K8S_139 | resource | Job                    | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 786 | CKV_K8S_139 | resource | Pod                    | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 787 | CKV_K8S_139 | resource | PodTemplate            | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 788 | CKV_K8S_139 | resource | ReplicaSet             | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 789 | CKV_K8S_139 | resource | ReplicationController  | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 790 | CKV_K8S_139 | resource | StatefulSet            | Ensure that the --authorization-mode argument is not set to AlwaysAllow                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 791 | CKV_K8S_140 | resource | CronJob                | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 792 | CKV_K8S_140 | resource | DaemonSet              | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 793 | CKV_K8S_140 | resource | Deployment             | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 794 | CKV_K8S_140 | resource | DeploymentConfig       | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 795 | CKV_K8S_140 | resource | Job                    | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 796 | CKV_K8S_140 | resource | Pod                    | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 797 | CKV_K8S_140 | resource | PodTemplate            | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 798 | CKV_K8S_140 | resource | ReplicaSet             | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 799 | CKV_K8S_140 | resource | ReplicationController  | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 800 | CKV_K8S_140 | resource | StatefulSet            | Ensure that the --client-ca-file argument is set as appropriate                                        | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 801 | CKV_K8S_141 | resource | CronJob                | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 802 | CKV_K8S_141 | resource | DaemonSet              | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 803 | CKV_K8S_141 | resource | Deployment             | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 804 | CKV_K8S_141 | resource | DeploymentConfig       | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 805 | CKV_K8S_141 | resource | Job                    | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 806 | CKV_K8S_141 | resource | Pod                    | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 807 | CKV_K8S_141 | resource | PodTemplate            | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 808 | CKV_K8S_141 | resource | ReplicaSet             | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 809 | CKV_K8S_141 | resource | ReplicationController  | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 810 | CKV_K8S_141 | resource | StatefulSet            | Ensure that the --read-only-port argument is set to 0                                                  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 811 | CKV_K8S_143 | resource | CronJob                | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 812 | CKV_K8S_143 | resource | DaemonSet              | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 813 | CKV_K8S_143 | resource | Deployment             | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 814 | CKV_K8S_143 | resource | DeploymentConfig       | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 815 | CKV_K8S_143 | resource | Job                    | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 816 | CKV_K8S_143 | resource | Pod                    | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 817 | CKV_K8S_143 | resource | PodTemplate            | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 818 | CKV_K8S_143 | resource | ReplicaSet             | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 819 | CKV_K8S_143 | resource | ReplicationController  | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 820 | CKV_K8S_143 | resource | StatefulSet            | Ensure that the --streaming-connection-idle-timeout argument is not set to 0                           | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 821 | CKV_K8S_144 | resource | CronJob                | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 822 | CKV_K8S_144 | resource | DaemonSet              | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 823 | CKV_K8S_144 | resource | Deployment             | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 824 | CKV_K8S_144 | resource | DeploymentConfig       | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 825 | CKV_K8S_144 | resource | Job                    | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 826 | CKV_K8S_144 | resource | Pod                    | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 827 | CKV_K8S_144 | resource | PodTemplate            | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 828 | CKV_K8S_144 | resource | ReplicaSet             | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 829 | CKV_K8S_144 | resource | ReplicationController  | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 830 | CKV_K8S_144 | resource | StatefulSet            | Ensure that the --protect-kernel-defaults argument is set to true                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 831 | CKV_K8S_145 | resource | CronJob                | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 832 | CKV_K8S_145 | resource | DaemonSet              | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 833 | CKV_K8S_145 | resource | Deployment             | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 834 | CKV_K8S_145 | resource | DeploymentConfig       | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 835 | CKV_K8S_145 | resource | Job                    | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 836 | CKV_K8S_145 | resource | Pod                    | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 837 | CKV_K8S_145 | resource | PodTemplate            | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 838 | CKV_K8S_145 | resource | ReplicaSet             | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 839 | CKV_K8S_145 | resource | ReplicationController  | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 840 | CKV_K8S_145 | resource | StatefulSet            | Ensure that the --make-iptables-util-chains argument is set to true                                    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 841 | CKV_K8S_146 | resource | CronJob                | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 842 | CKV_K8S_146 | resource | DaemonSet              | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 843 | CKV_K8S_146 | resource | Deployment             | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 844 | CKV_K8S_146 | resource | DeploymentConfig       | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 845 | CKV_K8S_146 | resource | Job                    | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 846 | CKV_K8S_146 | resource | Pod                    | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 847 | CKV_K8S_146 | resource | PodTemplate            | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 848 | CKV_K8S_146 | resource | ReplicaSet             | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 849 | CKV_K8S_146 | resource | ReplicationController  | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 850 | CKV_K8S_146 | resource | StatefulSet            | Ensure that the --hostname-override argument is not set                                                | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 851 | CKV_K8S_147 | resource | CronJob                | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 852 | CKV_K8S_147 | resource | DaemonSet              | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 853 | CKV_K8S_147 | resource | Deployment             | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 854 | CKV_K8S_147 | resource | DeploymentConfig       | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 855 | CKV_K8S_147 | resource | Job                    | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 856 | CKV_K8S_147 | resource | Pod                    | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 857 | CKV_K8S_147 | resource | PodTemplate            | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 858 | CKV_K8S_147 | resource | ReplicaSet             | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 859 | CKV_K8S_147 | resource | ReplicationController  | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 860 | CKV_K8S_147 | resource | StatefulSet            | Ensure that the --event-qps argument is set to 0 or a level which ensures appropriate event capture    | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 861 | CKV_K8S_148 | resource | CronJob                | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 862 | CKV_K8S_148 | resource | DaemonSet              | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 863 | CKV_K8S_148 | resource | Deployment             | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 864 | CKV_K8S_148 | resource | DeploymentConfig       | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 865 | CKV_K8S_148 | resource | Job                    | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 866 | CKV_K8S_148 | resource | Pod                    | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 867 | CKV_K8S_148 | resource | PodTemplate            | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 868 | CKV_K8S_148 | resource | ReplicaSet             | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 869 | CKV_K8S_148 | resource | ReplicationController  | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 870 | CKV_K8S_148 | resource | StatefulSet            | Ensure that the --tls-cert-file and --tls-private-key-file arguments are set as appropriate            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 871 | CKV_K8S_149 | resource | CronJob                | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 872 | CKV_K8S_149 | resource | DaemonSet              | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 873 | CKV_K8S_149 | resource | Deployment             | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 874 | CKV_K8S_149 | resource | DeploymentConfig       | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 875 | CKV_K8S_149 | resource | Job                    | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 876 | CKV_K8S_149 | resource | Pod                    | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 877 | CKV_K8S_149 | resource | PodTemplate            | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 878 | CKV_K8S_149 | resource | ReplicaSet             | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 879 | CKV_K8S_149 | resource | ReplicationController  | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 880 | CKV_K8S_149 | resource | StatefulSet            | Ensure that the --rotate-certificates argument is not set to false                                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 881 | CKV_K8S_151 | resource | CronJob                | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 882 | CKV_K8S_151 | resource | DaemonSet              | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 883 | CKV_K8S_151 | resource | Deployment             | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 884 | CKV_K8S_151 | resource | DeploymentConfig       | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 885 | CKV_K8S_151 | resource | Job                    | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 886 | CKV_K8S_151 | resource | Pod                    | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 887 | CKV_K8S_151 | resource | PodTemplate            | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 888 | CKV_K8S_151 | resource | ReplicaSet             | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 889 | CKV_K8S_151 | resource | ReplicationController  | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 890 | CKV_K8S_151 | resource | StatefulSet            | Ensure that the Kubelet only makes use of Strong Cryptographic Ciphers                                 | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 891 | CKV_K8S_152 | resource | Ingress                | Prevent NGINX Ingress annotation snippets which contain LUA code execution. See CVE-2021-25742         | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 892 | CKV_K8S_153 | resource | Ingress                | Prevent All NGINX Ingress annotation snippets. See CVE-2021-25742                                      | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 893 | CKV_K8S_154 | resource | Ingress                | Prevent NGINX Ingress annotation snippets which contain alias statements See CVE-2021-25742            | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 894 | CKV_K8S_155 | resource | ClusterRole            | Minimize ClusterRoles that grant control over validating or mutating admission webhook configurations  | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 895 | CKV_K8S_156 | resource | ClusterRole            | Minimize ClusterRoles that grant permissions to approve CertificateSigningRequests                     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 896 | CKV_K8S_157 | resource | ClusterRole            | Minimize Roles and ClusterRoles that grant permissions to bind RoleBindings or ClusterRoleBindings     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 897 | CKV_K8S_157 | resource | Role                   | Minimize Roles and ClusterRoles that grant permissions to bind RoleBindings or ClusterRoleBindings     | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 898 | CKV_K8S_158 | resource | ClusterRole            | Minimize Roles and ClusterRoles that grant permissions to escalate Roles or ClusterRoles               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 899 | CKV_K8S_158 | resource | Role                   | Minimize Roles and ClusterRoles that grant permissions to escalate Roles or ClusterRoles               | Kubernetes | https://github.com/bridgecrewio/checkov/tree/master/checkov |


---


